package com.sf.msg.bean;

package ..deTemp.1734793836165;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.smartframework.web.core.utils.ParameterUtils;
import java.util.Date;

@JsonIgnoreProperties(ignoreUnknown = true)
public class AlarmMsgBean {
  private Long dev_id;
  
  private Long obj_id;
  
  private Long station_id;
  
  private Long feeder_id;
  
  private Long tag_id;
  
  private String opt_handover_group;
  
  private Integer alarm_type;
  
  private Integer status;
  
  private Long occur_time;
  
  private Long msec_time;
  
  private String alarm_str;
  
  private Date createTime;
  
  private Integer is_water_alm;
  
  private Integer fault_feature_type;
  
  private String infer_name;
  
  private Integer area_resp;
  
  public String toString() {
    return String.format("DevId:%d,AlarmType:%d,AlarmStatus:%d,OccurTime:%d.%d,AlarmContent:%s", new Object[] { this.dev_id, this.alarm_type, this.status, this.occur_time, this.msec_time, this.alarm_str });
  }
  
  public String subKey() {
    return String.format("%s.%s", new Object[] { String.valueOf(this.alarm_type), String.valueOf(this.status) });
  }
  
  public String subId(String deviceType) {
    return String.format("%s.%s.%s", new Object[] { String.valueOf(this.alarm_type), String.valueOf(this.status), deviceType });
  }
  
  public Integer getFault_feature_type() {
    return this.fault_feature_type;
  }
  
  public void setFault_feature_type(Integer fault_feature_type) {
    this.fault_feature_type = fault_feature_type;
  }
  
  public Long getDev_id() {
    return this.dev_id;
  }
  
  public void setDev_id(Long dev_id) {
    this.dev_id = dev_id;
  }
  
  public Long getObj_id() {
    return this.obj_id;
  }
  
  public void setObj_id(Long obj_id) {
    this.obj_id = obj_id;
  }
  
  public Long getStation_id() {
    return this.station_id;
  }
  
  public void setStation_id(Long station_id) {
    this.station_id = station_id;
  }
  
  public Long getFeeder_id() {
    return this.feeder_id;
  }
  
  public void setFeeder_id(Long feeder_id) {
    this.feeder_id = feeder_id;
  }
  
  public Integer getAlarm_type() {
    return this.alarm_type;
  }
  
  public void setAlarm_type(Integer alarm_type) {
    this.alarm_type = alarm_type;
  }
  
  public Integer getStatus() {
    return this.status;
  }
  
  public void setStatus(Integer alarm_status) {
    this.status = alarm_status;
  }
  
  public String getAlarm_str() {
    return this.alarm_str;
  }
  
  public Long getOccur_time() {
    return this.occur_time;
  }
  
  public void setOccur_time(Long occur_time) {
    this.occur_time = occur_time;
  }
  
  public Long getMsec_time() {
    return this.msec_time;
  }
  
  public void setMsec_time(Long msec_time) {
    this.msec_time = msec_time;
  }
  
  public Date getCreateTime() {
    if (ParameterUtils.isEmptyOrNull(this.occur_time))
      return null; 
    if (this.createTime == null)
      if (ParameterUtils.isEmptyOrNull(this.msec_time)) {
        this.createTime = new Date(this.occur_time.longValue() * 1000L);
      } else {
        this.createTime = new Date(this.occur_time.longValue() * 1000L + this.msec_time.longValue());
      }  
    return this.createTime;
  }
  
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }
  
  public void setAlarm_str(String str) {
    this.alarm_str = str;
  }
  
  public Integer getIs_water_alm() {
    return Integer.valueOf((this.is_water_alm == null) ? 0 : this.is_water_alm.intValue());
  }
  
  public void setIs_water_alm(Integer is_water_alm) {
    this.is_water_alm = is_water_alm;
  }
  
  public String getInfer_name() {
    return this.infer_name;
  }
  
  public void setInfer_name(String infer_name) {
    this.infer_name = infer_name;
  }
  
  public Integer getArea_resp() {
    return this.area_resp;
  }
  
  public void setArea_resp(Integer area_resp) {
    this.area_resp = area_resp;
  }
  
  public Long getTag_id() {
    return this.tag_id;
  }
  
  public void setTag_id(Long tag_id) {
    this.tag_id = tag_id;
  }
  
  public String getOpt_handover_group() {
    return this.opt_handover_group;
  }
  
  public void setOpt_handover_group(String opt_handover_group) {
    this.opt_handover_group = opt_handover_group;
  }
  
  public boolean isValid() {
    if (this.alarm_str == null || this.dev_id == null || this.status == null || this.occur_time == null || this.msec_time == null || this.alarm_type == null)
      return false; 
    if (this.alarm_str.trim().isEmpty())
      return false; 
    return true;
  }
  
  public boolean isOtherValid() {
    if (this.alarm_str == null || this.status == null || this.alarm_type == null)
      return false; 
    if (this.alarm_str.trim().isEmpty())
      return false; 
    return true;
  }
}
